SDL_WindowEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
Sint32 | data1
Sint32 | data2

## Detailed Description

Window state change event data (event.window.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 314 of file SDL_events.h.

## Field Documentation

## data1

Sint32 SDL_WindowEvent::data1

event dependent data

Definition at line 320 of file SDL_events.h.

## data2

Sint32 SDL_WindowEvent::data2

event dependent data

Definition at line 321 of file SDL_events.h.

## reserved

Uint32 SDL_WindowEvent::reserved

Definition at line 317 of file SDL_events.h.

## timestamp

Uint64 SDL_WindowEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 318 of file SDL_events.h.

## type

SDL_EventType SDL_WindowEvent::type

SDL_EVENT_WINDOW_*

Definition at line 316 of file SDL_events.h.

## windowID

SDL_WindowID SDL_WindowEvent::windowID

The associated window

Definition at line 319 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h